Subject: bug#29516: closed (Re: Maxima fails to build)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 15 Feb 2019 09:05:02 +0000

Your bug report

#29516: Maxima fails to build

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
29516: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=29516
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: Maxima fails to build
From: Diego Nicola Barbato <[email-masked]>
To: [email-masked]
Date: Fri, 15 Feb 2019 10:03:49 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix,

I am closing this bug in response to Leo’s message on guix-devel [0].

This particular issue has been solved quite some time ago and GCL and
Maxima have both been updated since.

Maxima currently fails to build for a different reason for which I have
opened a new bug report [1].

Regards,

Diego

[0]: https://lists.gnu.org/archive/html/guix-devel/2019-02/msg00220.html
[1]: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=34484

Subject: Maxima fails to build
From: Diego Nicola Barbato <[email-masked]>
To: [email-masked]
Date: Fri, 01 Dec 2017 11:53:01 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix,

`guix build maxima' fails during the `check' phase with the following
output:

starting phase `check'
Making check in admin
make[1]: Entering directory '/tmp/guix-build-maxima-5.41.0.drv-0/maxima-5.41.0/admin'
make[1]: Nothing to be done for 'check'.
make[1]: Leaving directory '/tmp/guix-build-maxima-5.41.0.drv-0/maxima-5.41.0/admin'
Making check in crosscompile-windows
make[1]: Entering directory '/tmp/guix-build-maxima-5.41.0.drv-0/maxima-5.41.0/crosscompile-windows'
make[1]: Nothing to be done for 'check'.
make[1]: Leaving directory '/tmp/guix-build-maxima-5.41.0.drv-0/maxima-5.41.0/crosscompile-windows'
Making check in src
make[1]: Entering directory '/tmp/guix-build-maxima-5.41.0.drv-0/maxima-5.41.0/src'
make[1]: Nothing to be done for 'check'.
make[1]: Leaving directory '/tmp/guix-build-maxima-5.41.0.drv-0/maxima-5.41.0/src'
Making check in lisp-utils
make[1]: Entering directory '/tmp/guix-build-maxima-5.41.0.drv-0/maxima-5.41.0/lisp-utils'
make[1]: Nothing to be done for 'check'.
make[1]: Leaving directory '/tmp/guix-build-maxima-5.41.0.drv-0/maxima-5.41.0/lisp-utils'
Making check in tests
make[1]: Entering directory '/tmp/guix-build-maxima-5.41.0.drv-0/maxima-5.41.0/tests'
make  check-TESTS
make[2]: Entering directory '/tmp/guix-build-maxima-5.41.0.drv-0/maxima-5.41.0/tests'
make[3]: Entering directory '/tmp/guix-build-maxima-5.41.0.drv-0/maxima-5.41.0/tests'
sed <"test.sh.in" >"gcl-test.sh"                                          \
  -e 's#!LOCAL_MAXIMA!#/gnu/store/kpxi8h3669afr9r1bgvaf9ij3y4wdyyn-bash-minimal-4.4.12/bin/sh ../maxima-local#'                       \
  -e 's#!LISPNAME!#gcl#'                                 \
  -e 's#!OUTPUT_LOG!#../tests/gcl.log#'
chmod a+x "gcl-test.sh"
FAIL: gcl-test.sh
make[4]: Entering directory '/tmp/guix-build-maxima-5.41.0.drv-0/maxima-5.41.0/tests'
make[4]: Nothing to be done for 'all'.
make[4]: Leaving directory '/tmp/guix-build-maxima-5.41.0.drv-0/maxima-5.41.0/tests'
============================================================================
Testsuite summary for maxima 5.41.0
============================================================================
# TOTAL: 1
# PASS:  0
# SKIP:  0
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0
============================================================================
See tests/test-suite.log
============================================================================
make[3]: *** [Makefile:558: test-suite.log] Error 1
make[3]: Leaving directory '/tmp/guix-build-maxima-5.41.0.drv-0/maxima-5.41.0/tests'
make[2]: *** [Makefile:666: check-TESTS] Error 2
make[2]: Leaving directory '/tmp/guix-build-maxima-5.41.0.drv-0/maxima-5.41.0/tests'
make[1]: *** [Makefile:792: check-am] Error 2
make[1]: Leaving directory '/tmp/guix-build-maxima-5.41.0.drv-0/maxima-5.41.0/tests'
make: *** [Makefile:457: check-recursive] Error 1
phase `check' failed after 261.2 seconds
builder for `/gnu/store/cmz95fkz1mc7nb3yxch4x83iaxml6gzs-maxima-5.41.0.drv' failed with exit code 1
@ build-failed /gnu/store/cmz95fkz1mc7nb3yxch4x83iaxml6gzs-maxima-5.41.0.drv - 1 builder for `/gnu/store/cmz95fkz1mc7nb3yxch4x83iaxml6gzs-maxima-5.41.0.drv' failed with exit code 1
guix build: error: build failed: build of `/gnu/store/cmz95fkz1mc7nb3yxch4x83iaxml6gzs-maxima-5.41.0.drv' failed

I am running GuixSD on a x86_64 machine (commit:
9ce07f2dbafe068aea81e79decc4cfc146a48259).
The x86_64 version also failed to build on hydra.gnu.org
(https://hydra.gnu.org/build/2361466).

Greetings

Diego